Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class KnuthBlockBox

    java.lang.Object
      org.apache.fop.layoutmgr.ListElement
          org.apache.fop.layoutmgr.KnuthElement
              org.apache.fop.layoutmgr.KnuthBox
                  org.apache.fop.layoutmgr.KnuthBlockBox

    public class KnuthBlockBox

extends KnuthBox

Knuth box used to represent a line in block-progression-dimension (i.e. the width is its height).

Field Summary

Fields inherited from class org.apache.fop.layoutmgr.KnuthElement
`INFINITE`

Constructor Summary
`KnuthBlockBox(int width, java.util.List list, Position pos, boolean auxiliary)` Creates a new box.
`KnuthBlockBox(int width, java.util.List list, Position pos, boolean auxiliary, java.util.List<FloatContentLayoutManager> fclms)`
`KnuthBlockBox(int width, MinOptMax range, int bpdim, Position pos, boolean auxiliary)` Creates a new box.

Method Summary
`void` | `addElementList(java.util.List list)` Adds the given list of Knuth elements to this box' list of elements.
`int` | `getBPD()` Returns the natural width (without stretching nor shrinking) of the line represented by this box.
`java.util.List` | `getElementLists()` Returns the list of Knuth sequences registered by this box.
`java.util.List<FloatContentLayoutManager>` | `getFloatContentLMs()`
`java.util.List<FootnoteBodyLayoutManager>` | `getFootnoteBodyLMs()`
`MinOptMax` | `getIPDRange()`
`boolean` | `hasAnchors()`
`boolean` | `hasFloatAnchors()`

Methods inherited from class org.apache.fop.layoutmgr.KnuthBox
`isBox, toString`

Methods inherited from class org.apache.fop.layoutmgr.KnuthElement
`getPenalty, getShrink, getStretch, getWidth, isAuxiliary, isUnresolvedElement`

Methods inherited from class org.apache.fop.layoutmgr.ListElement
`getLayoutManager, getPosition, isForcedBreak, isGlue, isPenalty, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KnuthBlockBox

    public KnuthBlockBox(int width,
                         MinOptMax range,
                         int bpdim,
                         Position pos,
                         boolean auxiliary)

  Creates a new box.

  Parameters:
    `width` - block progression dimension of this box
    `range` - min, opt, max inline progression dimension of this box
    `bpdim` - natural width of the line represented by this box.
    `pos` - the Position stored in this box
    `auxiliary` - is this box auxiliary?

### KnuthBlockBox

    public KnuthBlockBox(int width,
                         java.util.List list,
                         Position pos,
                         boolean auxiliary)

  Creates a new box.

  Parameters:
    `width` - block progression dimension of this box
    `list` - footnotes cited by elements in this box. The list contains the corresponding FootnoteBodyLayoutManagers
    `pos` - the Position stored in this box
    `auxiliary` - is this box auxiliary?

### KnuthBlockBox

    public KnuthBlockBox(int width,
                         java.util.List list,
                         Position pos,
                         boolean auxiliary,
                         java.util.List<FloatContentLayoutManager> fclms)

Method Detail

### getFootnoteBodyLMs

    public java.util.List<FootnoteBodyLayoutManager> getFootnoteBodyLMs()

  Returns:
    the LMs for the footnotes cited in this box.

### hasAnchors

    public boolean hasAnchors()

  Returns:
    true if this box contains footnote citations.

### addElementList

    public void addElementList(java.util.List list)

  Adds the given list of Knuth elements to this box' list of elements.

  Parameters:
    `list` - elements corresponding to a footnote body

### getElementLists

    public java.util.List getElementLists()

  Returns the list of Knuth sequences registered by this box.

  Returns:
    a list of KnuthElement sequences corresponding to footnotes cited in this box

### getIPDRange

    public MinOptMax getIPDRange()

  Returns:
    the inline progression dimension of this box.

### getBPD

    public int getBPD()

  Returns the natural width (without stretching nor shrinking) of the line represented by this box.

  Returns:
    the line width

### getFloatContentLMs

    public java.util.List<FloatContentLayoutManager> getFloatContentLMs()

### hasFloatAnchors

    public boolean hasFloatAnchors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.